From 246fb4b62ecb13ae7f73ed668bc7d2e800c5ab7e Mon Sep 17 00:00:00 2001
From: neil <git@byneil.com>
Date: Sat, 26 Dec 2015 21:04:08 +0800
Subject: [PATCH] add curl requirement

---
 le.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/le.sh b/le.sh
index b2e94f3f..d523b60f 100644
--- a/le.sh
+++ b/le.sh
@@ -507,6 +507,11 @@ renewAll() {
 
 install() {
   _initpath
+  if ! command -v "curl" ; then
+    _info "Please install curl first."
+    _info "sudo apt-get install curl"
+    return 1
+  fi
   _info "Installing to $WORKING_DIR"
   
   mkdir -p $WORKING_DIR/